#include <sys/mount.h>
#include <unistd.h>
#include <stdio.h>
#include <systemd/sd-daemon.h>

int main() {
    char mount_path[32] = {0};
    snprintf(mount_path, sizeof(mount_path), "/proc/%d/ns", getpid());

    int err = mount(mount_path, "/run/vpn", NULL, MS_BIND, NULL);
    if(err) {
        perror("Error");
        return 1;
    }
    sd_notify(0, "READY=1");
    while(1) {
        sleep(10);
    }
    return 1;
}
